This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1252564 - Provide a liberation-fonts virtual package
Provide a liberation-fonts virtual package
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: liberation-fonts (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pravin Satpute
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-11 13:29 EDT by Lei Zhang
Modified: 2015-10-03 17:53 EDT (History)
4 users (show)

See Also:
Fixed In Version: 1.07.4-6.fc23 liberation-fonts-1.07.4-6.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-19 04:14:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lei Zhang 2015-08-11 13:29:16 EDT
Description of problem: As an ISV, we would like to package a generic Google Chrome RPM that requires liberation fonts. However, "Requires: liberation-fonts" does not work with Fedora because its liberation-fonts are split into multiple packages, and there is no meta-package to install them all.

OTOH, OpenSUSE has just 1 package that provides liberation-fonts. http://rpmfind.net//linux/RPM/opensuse/13.2/noarch/liberation-fonts-1.07.3-2.1.5.noarch.html

Version-Release number of selected component (if applicable): N/A

How reproducible: Always

Steps to Reproduce:
1. Make a RPM that requires "liberation-fonts"
2. Try to install the RPM

Actual results:

Installation fails

Expected results:

Installation succeeds and the system has liberation fonts installed.

Additional info:

https://code.google.com/p/chromium/issues/detail?id=519322
Comment 1 Fedora Update System 2015-08-12 06:39:50 EDT
liberation-fonts-1.07.4-6.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/liberation-fonts-1.07.4-6.fc23
Comment 2 Pravin Satpute 2015-08-12 06:44:11 EDT
Fix done, Let me know if any further issue.
Comment 3 Lei Zhang 2015-08-12 15:41:36 EDT
Thank you for the quick fix. Will the fix be backported to Fedora 21 and 22?
Comment 4 Fedora Update System 2015-08-12 16:10:12 EDT
Package liberation-fonts-1.07.4-6.fc23:
* should fix your issue,
* was pushed to the Fedora 23 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing liberation-fonts-1.07.4-6.fc23'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-13268/liberation-fonts-1.07.4-6.fc23
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2015-08-13 05:16:33 EDT
liberation-fonts-1.07.4-6.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/liberation-fonts-1.07.4-6.fc22
Comment 6 Fedora Update System 2015-08-13 05:17:22 EDT
liberation-fonts-1.07.4-6.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/liberation-fonts-1.07.4-6.fc21
Comment 7 Lei Zhang 2015-08-18 22:55:52 EDT
I did an install of F22, updated, enabled the updates-testing repo, and updated again. I got the -6 package as a part of that.

I then uninstalled all the liberation-fonts packages, and tried to do: yum install liberation-fonts, but yum says no package liberation-fonts available. I see liberation-fonts-1.07.4-6.fc22.noarch.rpm in the repo, so I'm not sure what's wrong there.
Comment 8 Pravin Satpute 2015-08-19 01:06:53 EDT
I saw issue with an upgrade path. i.e. F23 update was not stable but F22 was, so they disabled it for some time.  (https://admin.fedoraproject.org/updates/liberation-fonts-1.07.4-6.fc22)

F23 update is stable now, lets wait for one day and see how it goes.
Comment 9 Fedora Update System 2015-08-19 04:14:42 EDT
liberation-fonts-1.07.4-6.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2015-08-20 01:22:00 EDT
liberation-fonts-1.07.4-6.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2015-08-20 01:42:40 EDT
liberation-fonts-1.07.4-6.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2015-08-20 01:55:25 EDT
liberation-fonts-1.07.4-6.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Lei Zhang 2015-09-29 02:58:53 EDT
Any chance of pushing the update out for Fedora 21 as well?
Comment 14 Pravin Satpute 2015-09-29 03:59:18 EDT
Done !!
https://bodhi.fedoraproject.org/updates/FEDORA-2015-13462
Comment 15 Lei Zhang 2015-09-29 04:43:35 EDT
Woohoo! If you don't see any more comments from me, assume I'm a happy customer. :)
Comment 16 Fedora Update System 2015-10-03 17:53:41 EDT
liberation-fonts-1.07.4-6.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.